//
//  DetailViewController.m
//  FuncionesParametricas
//
//  Created by Santiago Pavón on 13/12/12.
//  Copyright (c) 2012 UPM. All rights reserved.
//

#import "DetailViewController.h"

@interface DetailViewController ()
- (void)configureView;
@end

@implementation DetailViewController

#pragma mark - Managing the detail item

- (void)setFunctionDataSource:(id)newFunctionDataSource
{
    if (_functionDataSource != newFunctionDataSource) {
        _functionDataSource = newFunctionDataSource;
        
        // Update the view.
        [self configureView];
    }
}

- (void)configureView
{
    // Update the user interface for the detail item.

    FunctionView *fview = (FunctionView*)self.view;
    
    fview.dataSource = self.functionDataSource;
    [fview setNeedsDisplay];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    [self configureView];
}


-(void)willRotateToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation duration:(NSTimeInterval)duration
{
    [self.view setNeedsDisplay];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
